Show / Hide Table of Contents

# Struct StbTexteditRowPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct StbTexteditRowPtr

### Constructors

| Improve this Doc View Source

#### StbTexteditRowPtr(StbTexteditRow*)

##### Declaration

    public StbTexteditRowPtr(StbTexteditRow*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbTexteditRow* | nativePtr |

| Improve this Doc View Source

#### StbTexteditRowPtr(IntPtr)

##### Declaration

    public StbTexteditRowPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### baseline_y_delta

##### Declaration

    public float baseline_y_delta { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public StbTexteditRow*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
StbTexteditRow* |

| Improve this Doc View Source

#### num_chars

##### Declaration

    public int num_chars { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### x0

##### Declaration

    public float x0 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### x1

##### Declaration

    public float x1 { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ymax

##### Declaration

    public float ymax { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ymin

##### Declaration

    public float ymin { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Operators

| Improve this Doc View Source

#### Implicit(StbTexteditRow* to StbTexteditRowPtr)

##### Declaration

    public static implicit operator StbTexteditRowPtr(StbTexteditRow*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbTexteditRow* | nativePtr |

##### Returns

Type | Description
--- | ---
StbTexteditRowPtr |

| Improve this Doc View Source

#### Implicit(StbTexteditRowPtr to StbTexteditRow*)

##### Declaration

    public static implicit operator StbTexteditRow*(StbTexteditRowPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbTexteditRowPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
StbTexteditRow* |

| Improve this Doc View Source

#### Implicit(IntPtr to StbTexteditRowPtr)

##### Declaration

    public static implicit operator StbTexteditRowPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
StbTexteditRowPtr |